# Gedeng

Game engine snippets for the university course Game Engine Design (GED).

## Building
Run `scons` in the root directory. This will generate two things:

1. the shared library in `lib/`
2. test binaries in `test/bin/` which use the library created in step 1

## Developing
The `scons` command also generates a `compile_commands.json` which can be used by the VSCodium extension `clangd` for autocompletion, debugging, etc.

Build and run scripts for VSCodium are provided as well.

## Credits
Catch2 for unit tests: https://github.com/catchorg/Catch2

Inspired by TheCherno's Hazel Engine series: https://github.com/TheCherno/Hazel 